package com.ruoyi.project.training.elearn.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.elearn.domain.TElUserBook;

/**
 * 错题本Mapper接口
 *
 * @author ssy
 * @date 2024-05-31
 */
public interface TElUserBookMapper
{
    /**
     * 查询错题本
     *
     * @param id 错题本ID
     * @return 错题本
     */
    public TElUserBook selectTElUserBookById(Long id);

    /**
     * 查询错题本列表
     *
     * @param tElUserBook 错题本
     * @return 错题本集合
     */
    public List<TElUserBook> selectTElUserBookList(TElUserBook tElUserBook);

    /**
     * 新增错题本
     *
     * @param tElUserBook 错题本
     * @return 结果
     */
    public int insertTElUserBook(TElUserBook tElUserBook);

    /**
     * 修改错题本
     *
     * @param tElUserBook 错题本
     * @return 结果
     */
    public int updateTElUserBook(TElUserBook tElUserBook);

    /**
     * 删除错题本
     *
     * @param id 错题本ID
     * @return 结果
     */
    public int deleteTElUserBookById(Long id);

    /**
     * 批量删除错题本
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElUserBookByIds(Long[] ids);

    TElUserBook selectTElUserBookByLast(TElUserBook book);

    public int deleteTElUserBookByQuId(TElUserBook book);
}
